proc Modif { table element value } {
    upvar $table T

    puts "Before: value of $table = [array get T]"
    set T($element) $value
    puts "After: value of $table = [array get T]"

}

proc Interface { table } {
    upvar $table TT

    set f [toplevel .int_$table]
    wm title $f "Interface to $table"

    puts [array names TT]
    foreach name [array names TT] {
	frame $f.$name
	label $f.$name.label -width 10 -text $name -anchor w
	entry $f.$name.entry -width 10 -textvar ${table}($name)
	pack $f.$name.label -side left
	pack $f.$name.entry -side left -expand true -fill x
	pack $f.$name -side top
    }
    button $f.ok -text "Ok" -command "destroy $f"
    pack $f.ok -side top -fill x -anchor c
}

